package mvd.jester.priority;

import mvd.jester.model.Task;
import mvd.jester.tests.AbstractTest;

/**
 * PriorityManager
 */
public interface PriorityManager {

    public int compare(Task t1, Task t2);

    public boolean hasTest(AbstractTest<? extends Task> abstractTest);

    public boolean hasTest(Class<? extends AbstractTest<? extends Task>> abstractTestClass);

    public String getName();

}
